GuidesAPI Reference
API Reference

Add resources to the requested Project as a Resource Home or Resource Reference(Link)

Add a list of resources to the requested Project as a home or a reference(link).


Access Control:

  • When relation=home,

    The requested resources will be assigned to the requested project as their resource home. This API is idempotent. Any preexisting resources that already are homed to the specified project, will be silently ignored. Resource type must be specified either in query parameter or for individual resources. When resource type is specified in individual resources, it will take precedence over resource type specified as query parameter.

    • The calling principal must have manageResourceHome action permission for the resource "{project}" AND the share action for the resource "{resource}" in the "{authorization}" service.
    • The calling principal must have manageResourceHome action permission for the specified project in the "{authorization}" service AND all requiredToAddToProjects actions defined by the service for the resource "{resource}".
    • The calling principal MUST NOT include a project scope.
  • When relation=reference,

    Link the resource to the requested Project as a reference(link). The requested resources will be assigned to the requested project as reference(link). The resources MUST be available to the caller to attach as a resource reference(link). A resource is referenceable if it has been marked as referenceable and the caller has permission to all reference enabled actions against the resource OR The resource has been made linkable to the project/realm for the project linking enabled action.

    The exclusive list of resources available to the caller to attach as a resource reference(link) is accessible via a call to /resources?referenceable=true or /resources?linkable=true

    • The calling principal must have manageResourceReferences action permission for the resource "{project}" in the "{authorization}" service.
    • The calling principal is a member of the specified project.
    • The calling principal must have permission to attach the resource as a referenceable resource. A resource is referenceable to the caller if:
      • It has been marked as referenceable and The caller has permission to all reference enabled actions against the resource. OR
      • The resource has been made linkable to the project/realm for the project linking enabled action
    • This API works for tokens with or without a project scope.
Path Params
string
required

HRN identifying the project

Query Params
string
enum
required

The relation of the resource. Must be home or reference(link)

Allowed:
string

The type of the resource. Required for resource=home. For adding resources of multiple types, use the type property in the request body instead.

Body Params
items
array of objects

The list of resource relations to create. A max of 20 Resource Relation create requests accepted at a time.

items
Headers
string

Correlates HTTP requests between a client and server. If not present in the incoming request, it will be generated.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json